GDB (xrefs)

Static Public Member Functions | Static Private Member Functions | List of all members
gdb.command.explore.CompoundExplorer Class Reference
Inheritance diagram for gdb.command.explore.CompoundExplorer:

## Static Public Member Functions
def | explore_expr (expr, value, is_child)
def | explore_type (name, datatype, is_child)
def | explore_expr (expr, value, is_child)
def | explore_type (name, datatype, is_child)

## Static Private Member Functions
def | _print_fields (print_list)
def | _get_real_field_count (fields)
def | _print_fields (print_list)
def | _get_real_field_count (fields)

## Detailed Description

    Internal class used to explore struct, classes and unions.

Definition at line 367 of file explore.py.

## Member Function Documentation

## ◆ _get_real_field_count() [1/2]

def gdb.command.explore.CompoundExplorer._get_real_field_count | ( |  | fields | ) |
| static private

Definition at line 383 of file explore.py.

Referenced by gdb.command.explore.CompoundExplorer._get_real_field_count().

## ◆ _get_real_field_count() [2/2]

def gdb.command.explore.CompoundExplorer._get_real_field_count | ( |  | fields | ) |
| static private

Definition at line 383 of file explore.py.

References gdb.command.explore.CompoundExplorer._get_real_field_count().

## ◆ _print_fields() [1/2]

def gdb.command.explore.CompoundExplorer._print_fields | ( |  | print_list | ) |
| static private

    Internal function which prints the fields of a struct/class/union.

Definition at line 371 of file explore.py.

Referenced by gdb.command.explore.CompoundExplorer._print_fields().

## ◆ _print_fields() [2/2]

def gdb.command.explore.CompoundExplorer._print_fields | ( |  | print_list | ) |
| static private

    Internal function which prints the fields of a struct/class/union.

Definition at line 371 of file explore.py.

References gdb.command.explore.CompoundExplorer._print_fields().

## ◆ explore_expr() [1/2]

def gdb.command.explore.CompoundExplorer.explore_expr | ( |  | expr,
|  |  | value,
|  |  | is_child
| ) |  |
| static

    Function to explore structs/classes and union values.
    See Explorer.explore_expr for more information.

Definition at line 392 of file explore.py.

References gdb.command.explore.CompoundExplorer.explore_expr(), and gdb.command.explore.raw_input.

## ◆ explore_expr() [2/2]

def gdb.command.explore.CompoundExplorer.explore_expr | ( |  | expr,
|  |  | value,
|  |  | is_child
| ) |  |
| static

    Function to explore structs/classes and union values.
    See Explorer.explore_expr for more information.

Definition at line 392 of file explore.py.

References gdb.command.explore.raw_input.

Referenced by gdb.command.explore.CompoundExplorer.explore_expr().

## ◆ explore_type() [1/2]

def gdb.command.explore.CompoundExplorer.explore_type | ( |  | name,
|  |  | datatype,
|  |  | is_child
| ) |  |
| static

    Function to explore struct/class and union types.
    See Explorer.explore_type for more information.

Definition at line 473 of file explore.py.

References gdb.command.explore.raw_input.

Referenced by gdb.command.explore.CompoundExplorer.explore_type().

## ◆ explore_type() [2/2]

def gdb.command.explore.CompoundExplorer.explore_type | ( |  | name,
|  |  | datatype,
|  |  | is_child
| ) |  |
| static

    Function to explore struct/class and union types.
    See Explorer.explore_type for more information.

Definition at line 473 of file explore.py.

References gdb.command.explore.CompoundExplorer.explore_type(), and gdb.command.explore.raw_input.

The documentation for this class was generated from the following file:

- /tmp/gdb-8.1/gdb/data-directory/python/gdb/command/explore.py